Bug 522989 - WARNING suspend_test_finish MS-7125 nVidia CK804 NV44
Summary: WARNING suspend_test_finish MS-7125 nVidia CK804 NV44
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 02:16 UTC by John Reiser
Modified: 2010-12-05 06:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:25:26 UTC


Attachments (Terms of Use)

Description John Reiser 2009-09-13 02:16:04 UTC
Description of problem: /var/log/messages WARNs upon suspend+resume.


Version-Release number of selected component (if applicable):
kernel-2.6.31-0.219.rc9.git2.fc12.i68   testday-20090909-i686.iso

How reproducible:


Steps to Reproduce:
1. boot testday-20090909-i686.iso; try the suspend+resume test
2.
3.
  
Actual results: suspend+resume works; WARNING trace in /var/log/messages
-----
Sep 13 01:51:41 localhost kernel: WARNING: at kernel/power/suspend_test.c:52 suspend_test_finish+0x66/0x81() (Not tainted)
Sep 13 01:51:41 localhost kernel: Hardware name: MS-7125
Sep 13 01:51:41 localhost kernel: Component: resume devices
Sep 13 01:51:41 localhost kernel: Modules linked in: nls_utf8 fuse nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath uinput firewire_ohci firewire_core crc_itu_t serio_raw snd_intel8x0 k8temp hwmon snd_ac97_codec ac97_bus snd_pcm snd_timer snd soundcore snd_page_alloc i2c_nforce2 squashfs vfat fat pata_acpi ata_generic forcedeth sata_nv pata_amd floppy usb_storage nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Sep 13 01:51:41 localhost kernel: Pid: 2619, comm: pm-suspend Not tainted 2.6.31-0.219.rc9.git2.fc12.i686 #1
Sep 13 01:51:41 localhost kernel: Call Trace:
Sep 13 01:51:41 localhost kernel: [<c0444a19>] warn_slowpath_common+0x7b/0xa3
Sep 13 01:51:41 localhost kernel: [<c047d2c9>] ? suspend_test_finish+0x66/0x81
Sep 13 01:51:41 localhost kernel: [<c0444aaa>] warn_slowpath_fmt+0x34/0x48
Sep 13 01:51:41 localhost kernel: [<c047d2c9>] suspend_test_finish+0x66/0x81
Sep 13 01:51:41 localhost kernel: [<c047d02c>] suspend_devices_and_enter+0x183/0x1c1
Sep 13 01:51:41 localhost kernel: [<c047d147>] enter_state+0xdd/0x13c
Sep 13 01:51:41 localhost kernel: [<c047c6ad>] state_store+0xa6/0xcc
Sep 13 01:51:41 localhost kernel: [<c047c607>] ? state_store+0x0/0xcc
Sep 13 01:51:41 localhost kernel: [<c05fa347>] kobj_attr_store+0x27/0x45
Sep 13 01:51:41 localhost kernel: [<c0548afd>] sysfs_write_file+0xd8/0x114
Sep 13 01:51:41 localhost kernel: [<c0548a25>] ? sysfs_write_file+0x0/0x114
Sep 13 01:51:41 localhost kernel: [<c04f8fa6>] vfs_write+0x9d/0x10d
Sep 13 01:51:41 localhost kernel: [<c04f90fa>] sys_write+0x55/0x89
Sep 13 01:51:41 localhost kernel: [<c0403a50>] syscall_call+0x7/0xb
Sep 13 01:51:41 localhost kernel: ---[ end trace e041d48b5187c28b ]---
Sep 13 01:51:42 localhost kernel: Restarting tasks ...
-----


Expected results: no WARNING [?]


Additional info: lspci; lspci -n; lspci -v
-----
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:0c.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev 80)
05:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 LE] (rev a1)
00:00.0 0580: 10de:005e (rev a3)
00:01.0 0601: 10de:0050 (rev a3)
00:01.1 0c05: 10de:0052 (rev a2)
00:02.0 0c03: 10de:005a (rev a2)
00:02.1 0c03: 10de:005b (rev a3)
00:04.0 0401: 10de:0059 (rev a2)
00:06.0 0101: 10de:0053 (rev f2)
00:07.0 0101: 10de:0054 (rev f3)
00:08.0 0101: 10de:0055 (rev f3)
00:09.0 0604: 10de:005c (rev a2)
00:0a.0 0680: 10de:0057 (rev a3)
00:0b.0 0604: 10de:005d (rev a3)
00:0c.0 0604: 10de:005d (rev a3)
00:0d.0 0604: 10de:005d (rev a3)
00:0e.0 0604: 10de:005d (rev a3)
00:18.0 0600: 1022:1100
00:18.1 0600: 1022:1101
00:18.2 0600: 1022:1102
00:18.3 0600: 1022:1103
01:0c.0 0c00: 1106:3044 (rev 80)
05:00.0 0300: 10de:0163 (rev a1)
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0
	Capabilities: <access denied>

00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: 66MHz, fast devsel, IRQ 3
	I/O ports at fc00 [size=32]
	I/O ports at 4c00 [size=64]
	I/O ports at 4c40 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2) (prog-if 10 [OHCI])
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3) (prog-if 20 [EHCI])
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	Memory at feb00000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)
	Subsystem: Micro-Star International Co., Ltd. Device 7585
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	I/O ports at f000 [size=256]
	I/O ports at ec00 [size=256]
	Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0

00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2) (prog-if 8a [Master SecP PriP])
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	I/O ports at e000 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_amd
	Kernel modules: pata_amd

00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	I/O ports at 09f0 [size=8]
	I/O ports at 0bf0 [size=4]
	I/O ports at 0970 [size=8]
	I/O ports at 0b70 [size=4]
	I/O ports at cc00 [size=16]
	Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv

00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3) (prog-if 85 [Master SecO PriO])
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	I/O ports at 09e0 [size=8]
	I/O ports at 0be0 [size=4]
	I/O ports at 0960 [size=8]
	I/O ports at 0b60 [size=4]
	I/O ports at b800 [size=16]
	Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: sata_nv

00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: fde00000-fdefffff
	Prefetchable memory behind bridge: fdf00000-fdffffff

00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
	Subsystem: Micro-Star International Co., Ltd. Device 7125
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	Memory at fe029000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at b400 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: fdd00000-fddfffff
	Prefetchable memory behind bridge: 00000000fdc00000-00000000fdcfffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: fdb00000-fdbfffff
	Prefetchable memory behind bridge: 00000000fda00000-00000000fdafffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fd900000-fd9fffff
	Prefetchable memory behind bridge: 00000000fd800000-00000000fd8fffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: fa000000-fcffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
	Flags: fast devsel
	Capabilities: <access denied>

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
	Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
	Flags: fast devsel
	Kernel driver in use: k8temp
	Kernel modules: k8temp

01:0c.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev 80) (prog-if 10 [OHCI])
	Subsystem: Device 0574:086c
	Flags: bus master, stepping, medium devsel, latency 32, IRQ 19
	Memory at fdeff000 (32-bit, non-prefetchable) [size=2K]
	I/O ports at ac00 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

05:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 LE] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Device 025f
	Flags: bus master, fast devsel, latency 0, IRQ 18
	Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fb000000 (64-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at fc000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
-----

Comment 1 Bug Zapper 2009-11-16 12:19:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 lethalwp 2010-03-18 09:07:19 UTC
hello,

this seems to be just a warning, probably because of a slow to spindle up harddisk,

i have the same warning in fc13 (rawhide) now,

http://lkml.indiana.edu/hypermail/linux/kernel/0907.0/02207.html
says it can be normal



my var log messages after resume:
Mar 18 09:27:30 little kernel: sd 1:0:0:0: [sdb] Starting disk
Mar 18 09:27:30 little kernel: ata9.00: configured for UDMA/66
Mar 18 09:27:30 little kernel: ata3: SATA link down (SStatus 0 SControl 300)
Mar 18 09:27:30 little kernel: ata7: SATA link down (SStatus 0 SControl 370)
Mar 18 09:27:30 little kernel: ata4: SATA link down (SStatus 0 SControl 300)
Mar 18 09:27:30 little kernel: ata5: SATA link down (SStatus 0 SControl 300)
Mar 18 09:27:30 little kernel: ata6: SATA link down (SStatus 0 SControl 300)
Mar 18 09:27:30 little kernel: ata8: SATA link down (SStatus 0 SControl 370)
Mar 18 09:27:30 little kernel: ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Mar 18 09:27:30 little kernel: ata1.00: configured for UDMA/133
Mar 18 09:27:30 little kernel: ata2: softreset failed (device not ready)
Mar 18 09:27:30 little kernel: ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Mar 18 09:27:30 little kernel: ata2.00: configured for UDMA/133
Mar 18 09:27:30 little kernel: PM: resume of devices complete after 10628.101 msecs
Mar 18 09:27:30 little kernel: PM: resume devices took 10.629 seconds
Mar 18 09:27:30 little kernel: ------------[ cut here ]------------
Mar 18 09:27:30 little kernel: WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x80/0x87()
Mar 18 09:27:30 little kernel: Hardware name: System Product Name
Mar 18 09:27:30 little kernel: Component: resume devices, time: 10629
Mar 18 09:27:30 little kernel: Modules linked in: snd_seq_dummy snd_seq_oss nfs lockd fscache nfs_acl auth_rpcgss netconsole configfs hwmon_vid sunrpc ipv6 vfat fat f
Mar 18 09:27:30 little kernel: Pid: 3354, comm: acpitool Tainted: G        W  2.6.34-rc1-next-20100318+ #1
Mar 18 09:27:30 little kernel: Call Trace:
Mar 18 09:27:30 little kernel: [<ffffffff81050208>] warn_slowpath_common+0x7c/0x94
Mar 18 09:27:30 little kernel: [<ffffffff81050277>] warn_slowpath_fmt+0x41/0x43
Mar 18 09:27:30 little kernel: [<ffffffff8108ced1>] suspend_test_finish+0x80/0x87
Mar 18 09:27:30 little kernel: [<ffffffff8108cc77>] suspend_devices_and_enter+0x1b2/0x1ef
Mar 18 09:27:30 little kernel: [<ffffffff8108cd93>] enter_state+0xdf/0x130
Mar 18 09:27:30 little kernel: [<ffffffff8108c4d4>] state_store+0xb6/0xd3
Mar 18 09:27:30 little kernel: [<ffffffff8122b627>] kobj_attr_store+0x17/0x19
Mar 18 09:27:30 little kernel: [<ffffffff81178d58>] sysfs_write_file+0x108/0x144
Mar 18 09:27:30 little kernel: [<ffffffff8111e9fc>] vfs_write+0xae/0x10a
Mar 18 09:27:30 little kernel: [<ffffffff8111eb18>] sys_write+0x4a/0x6e
Mar 18 09:27:30 little kernel: [<ffffffff81009c32>] system_call_fastpath+0x16/0x1b
Mar 18 09:27:30 little kernel: ---[ end trace a7919e7f17c0a727 ]---
Mar 18 09:27:30 little kernel: Restarting tasks ... done.

Comment 3 Bug Zapper 2010-11-04 10:04:02 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:25:26 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.